HOME_DIR=/greenstone/gs-release-builder
PKG_DIR=$HOME_DIR/packages

# Set this following to 32 if generating the 32 bit linux versions
bitness=64


#JAVA
export JAVA_HOME=$PKG_DIR/jdk1.8.0_301
echo Setting JAVA_HOME to $JAVA_HOME
export PATH=$JAVA_HOME/bin:$PATH
echo Adding $JAVA_HOME/bin to PATH
if [ "$bitness" = "32" ] ; then
    export LD_LIBRARY_PATH=$JAVA_HOME/jre/lib/i386/jli:$LD_LIBRARY_PATH
    echo Adding $JAVA_HOME/jre/lib/i386/jli to LD_LIBRARY_PATH
    export GS_OPENSSL_HOST=linux-generic32
else
    export LD_LIBRARY_PATH=$JAVA_HOME/jre/lib/amd64/jli:$LD_LIBRARY_PATH
    echo Adding $JAVA_HOME/jre/lib/amd64/jli to LD_LIBRARY_PATH
fi



#ANT
export ANT_HOME=$PKG_DIR/apache-ant-1.9.4
echo Setting ANT_HOME to $ANT_HOME
export PATH=$ANT_HOME/bin:$PATH
echo Adding $ANT_HOME/bin to PATH

#PYTHON - 2.7+ needed to compile gnome-lib's glib-2.54.x
export PATH=$PKG_DIR/python2.7/bin:$PATH
echo Adding $PKG_DIR/python2.7/bin to PATH

#SVN
export PATH=$PKG_DIR/subversion/linux/bin:$PATH
export LD_LIBRARY_PATH=$PKG_DIR/subversion/linux/lib:$LD_LIBRARY_PATH
echo Adding $PKG_DIR/subversion/linux/bin to PATH and setting LD_LIB_PATH

# random binaries
export PATH=$PKG_DIR/bin:$PATH
echo Adding $PKG_DIR/bin to PATH

#RELEASE-KITS
export PATH=$HOME_DIR/release-kits/bin:$PATH
echo Adding $HOME_DIR/release-kits/bin to PATH

export LC_ALL=C
